#include <bits/stdc++.h>
  
using namespace std; 

typedef long long ll;

int main() 
{ 
    ios_base::sync_with_stdio(false); cin.tie(NULL);

    int p, q, r, num;
    ll L, R, res = 0;

    cin >> p >> q >> r >> L >> R;

    for (int i = L; i <= R; ++i) {
        num = 0;
        if (i % p == 0) {
            ++num;
        }

        if (i % q == 0) {
            ++num;
        }

        if (i % r == 0) {
            ++num;
        }

        if (num > 1) {
            ++res;
        }
    }

    cout << res;
}